package com.rjconsultores.ventaboletos.vo.conexion;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;

public class ConexionRutaVO {
	
	private Integer rutaOrigenId;
	private Integer numRutaOrigen;
	private String descLinhaOrigem;
	private Integer numRutaDestino;
	private Integer rutaDestinoId;
	private String descLinhaDestino;
	private String tramoOrigen;
	private String tramoDestino;
	private Integer conexionRutaCtrl;
	private Parada parada;
	private Ruta ruta;
	

	public ConexionRutaVO() {
		super();
	}

	
	public ConexionRutaVO(Parada parada, Ruta ruta) {
		super();
		this.parada = parada;
		this.ruta = ruta;
	}

	public Ruta getRuta() {
		return ruta;
	}

	public void setRuta(Ruta ruta) {
		this.ruta = ruta;
	}

	public Integer getRutaOrigenId() {
		return rutaOrigenId;
	}

	public void setRutaOrigenId(Integer rutaOrigenId) {
		this.rutaOrigenId = rutaOrigenId;
	}

	public Integer getNumRutaOrigen() {
		return numRutaOrigen;
	}

	public void setNumRutaOrigen(Integer numRutaOrigen) {
		this.numRutaOrigen = numRutaOrigen;
	}

	public Integer getNumRutaDestino() {
		return numRutaDestino;
	}

	public void setNumRutaDestino(Integer numRutaDestino) {
		this.numRutaDestino = numRutaDestino;
	}

	public Integer getRutaDestinoId() {
		return rutaDestinoId;
	}

	public void setRutaDestinoId(Integer rutaDestinoId) {
		this.rutaDestinoId = rutaDestinoId;
	}

	public String getDescLinhaOrigem() {
		return descLinhaOrigem;
	}

	public void setDescLinhaOrigem(String descLinhaOrigem) {
		this.descLinhaOrigem = descLinhaOrigem;
	}

	public String getDescLinhaDestino() {
		return descLinhaDestino;
	}

	public void setDescLinhaDestino(String descLinhaDestino) {
		this.descLinhaDestino = descLinhaDestino;
	}

	public String getTramoOrigen() {
		return tramoOrigen;
	}

	public void setTramoOrigen(String tramoOrigen) {
		this.tramoOrigen = tramoOrigen;
	}

	public String getTramoDestino() {
		return tramoDestino;
	}

	public void setTramoDestino(String tramoDestino) {
		this.tramoDestino = tramoDestino;
	}

	public Integer getConexionRutaCtrl() {
		return conexionRutaCtrl;
	}

	public void setConexionRutaCtrl(Integer conexionRutaCtrl) {
		this.conexionRutaCtrl = conexionRutaCtrl;
	}

	public Parada getParada() {
		return parada;
	}

	public void setParada(Parada parada) {
		this.parada = parada;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((parada == null) ? 0 : parada.hashCode());
		return result;
	}


	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ConexionRutaVO other = (ConexionRutaVO) obj;
		if (parada == null) {
			if (other.parada != null)
				return false;
		} else if (!parada.equals(other.parada))
			return false;
		return true;
	}


	@Override
	public String toString() {
		return "ConexionRutaVO [rutaOrigenId=" + rutaOrigenId + ", numRutaOrigen=" + numRutaOrigen + ", descLinhaOrigem=" + descLinhaOrigem + ", numRutaDestino=" + numRutaDestino + ", rutaDestinoId=" + rutaDestinoId + ", descLinhaDestino=" + descLinhaDestino + ", tramoOrigen=" + tramoOrigen + ", tramoDestino=" + tramoDestino + ", conexionRutaCtrl=" + conexionRutaCtrl + ", parada=" + parada + ", ruta=" + ruta + "]";
	}

}
